"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SLRoutes = /** @class */ (function () {
    function SLRoutes() {
    }
    SLRoutes.agentsV1 = function () {
        return SLRoutes.SLASH + SLRoutes.V1 + SLRoutes.AGENTS;
    };
    SLRoutes.agentsV2 = function () {
        return SLRoutes.SLASH + SLRoutes.V2 + SLRoutes.AGENTS;
    };
    SLRoutes.buildSessionV2 = function (buildSessionId) {
        var result = SLRoutes.agentsV2() + SLRoutes.BUILD_SESSION_ID;
        if (buildSessionId != null) {
            result += buildSessionId + SLRoutes.SLASH;
        }
        return result;
    };
    SLRoutes.SLASH = "/";
    SLRoutes.V1 = "v1/";
    SLRoutes.V2 = "v2/";
    SLRoutes.V3 = "v3/";
    SLRoutes.AGENTS = "agents/";
    SLRoutes.BUILD_SESSION_ID = "buildsession/";
    return SLRoutes;
}());
exports.SLRoutes = SLRoutes;
